html,body,main,div,section,article,header,footer { margin:0; padding:0; box-sizing: border-box; }
body { font-family: 'mononoki'; font-size: 16px; }
main { padding: 10px; }
details { margin: 10px 0; cursor: pointer; }
details summary { margin-bottom: 5px; }
details div { padding-left: 15px; cursor: unset !important; }
details div p { padding: 0; margin: 0; font-style: italic; }
details div p input { display: inline-block; width: 15px; height: 15px;}


label,input,select { width: 100%; box-sizing: border-box; display: inline-block; 
												 padding: 5px; }
input,select,textarea { background-color: white; border: 1px solid lightgrey; }
form { width: 100%; box-sizing: border-box; }
form label, form input { width: 100%; box-sizing: border-box; display: block; }
label + input, label + select, label + textarea { margin-top: 5px; margin-bottom: 15px; }
textarea { width: 100%; box-sizing: border-box; display: block; padding: 5px; }
button { width: 100%; box-sizing: border-box; display: block; background-color: black; 
						 color: white; padding: 5px; border: 1px solid lightgrey; cursor: pointer; }
button:hover { border: 1px solid tomato; }		
button[type="submit"] { margin-top: 15px; }

section.grid { 
	display: grid;
	grid-gap: 10px;
	grid-template-columns: repeat(4,auto);
	grid-template-rows: auto;
}

section.grid article.card { max-width: 300px; max-height: 300px; }
		
article.card img { width: 100%; }

article.widget { margin: 15px 0; background-color: lightgrey; padding: 10px; }


code.z-unknown { display: block; width: 100%; opacity: 0.8; }
button,label { text-transform: uppercase; }

div.z-multiple { display: flex; }
div.z-multiple * { margin-right: 5px; }
div.z-multiple *:last-child { margin-right: 0; }
div.z-multiple button[type="button"] { width: 30px; }


body > header { padding: 0; width: 100%; background-color: black; height: 30px; display: block }
body > header > h1 { font-size: 8px; background-color: white; padding: 5px; float: right; margin-right: 5px; }
